#
# spec file for package apache2-mod_python (Version 3.0.4)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  apache2-devel-packages python python-devel
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel apache2 apache2-devel apache2-prefork autoconf automake binutils cracklib expat gcc gdbm gettext libapr0 libtool perl python python-devel rpm

Name:         apache2-mod_python
%define modname mod_python
%define apxs apxs2
%define apache apache2
%define apache_libexecdir %(%{apxs} -q LIBEXECDIR)
%define apache_sysconfdir %(%{apxs} -q SYSCONFDIR)
%define apache_includedir %(%{apxs} -q INCLUDEDIR)
%define apache_serverroot %(%{apxs} -q PREFIX)
%define apache_localstatedir %(%{apxs} -q LOCALSTATEDIR)
%define apache_mmn        %(MMN=$(%{apxs} -q LIBEXECDIR)_MMN; test -x $MMN && $MMN)
%define python_sitepath   %(/usr/bin/python -c 'import site; print site.sitedirs[0];')
Version:      3.0.4
Release:      35
License:      FSR
Group:        Productivity/Networking/Web/Servers
%define pyver %(python -c 'import sys; print sys.version[:3]')
Requires:     apache2 %{apache_mmn} python >= %pyver, python < %{pyver}.99
Conflicts:    mod_python
Autoreqprov:  on
Summary:      Python module for the Apache 2 web server
URL:          http://www.modpython.org/
Source:       %{modname}-%{version}.tar.bz2
Patch10:      mod_python-3.0.3-python-2.3b1.dif
Patch11:      mod_python-3.0.4-publisher.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Mod_python allows embedding Python within the Apache http server for a
considerable boost in performance and added flexibility in designing
web based applications.

Apache processes requests in stages (e.g. read the request, parse
headers, check access, etc.). These stages can be implemented by
functions called handlers. Traditionally, handlers are written in C and
compiled into Apache modules. Mod_python provides a way to extend
Apache functionality by writing Apache handlers in Python. For a
detailed description of the Apache request processing process, see the
Apache API Notes.

For most programmers, the request and the authentication handlers
provide everything required. To ease migration from CGI and Httpdapy,
two handlers are provided that simulate these environments allowing a
user to run his scripts under mod_python with (for the most part) no
changes to the code.

Mod_python originates from a project called Httpdapy. For a long time
Httpdapy was not called mod_python because Httpdapy was not meant to be
Apache-specific. Httpdapy was designed to be cross-platform and in fact
was initially written for the Netscape server.



Authors:
--------
    Gregory Trubetskoy <grisha@ispol.com>

%prep
%setup -n %{modname}-%{version}
%if %suse_version > 820
%patch10 -p1
%endif
%patch11 -p1
case %_lib in 
	lib) ;;
	*) mv lib %_lib;;
esac
mv configure.in configure.in.t
sed 's@lib/python@%{_lib}/python@' < configure.in.t > configure.in
mv dist/Makefile.in dist/Makefile.in.t
sed -e "s@setup.py install@setup.py install --root=$RPM_BUILD_ROOT@" \
    -e "s@/lib@/%{_lib}@" \
  < dist/Makefile.in.t \
  > dist/Makefile.in
mv dist/setup.py.in dist/setup.py.in.t
sed -e "s@setup.py install@setup.py install --root=$RPM_BUILD_ROOT@" \
    -e "s@/lib@/%{_lib}@" \
  < dist/setup.py.in.t \
  > dist/setup.py.in

%build
autoconf
# RPM_OPT_FLAGS come from apxs2
./configure --with-apxs=`which %{apxs}` --libdir=%{_libdir}
make OPT="$(%{apxs} -q CFLAGS)"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{apache_libexecdir}
make LIBEXECDIR=$RPM_BUILD_ROOT/%{apache_libexecdir} install

%post
echo To load the %{modname}, add it to APACHE_MODULES in /etc/sysconfig/apache2.
echo Configuration hints: %{_docdir}/%{name}/doc-html/index.html

%files
%defattr(-,root,root)
%doc COPYRIGHT CREDITS NEWS README doc-html
%{apache_libexecdir}/%{modname}.so
%{python_sitepath}/%{modname}

%changelog -n apache2-mod_python
* Fri Feb 11 2005 - poeml@suse.de
- fix CAN-2005-0088 patch [#50324]
* Tue Feb 01 2005 - poeml@suse.de
- fix information leak in publisher handler, CAN-2005-0088 [#50324]
* Mon Feb 16 2004 - poeml@suse.de
- update to 3.0.4, which fixes a vulnerability whereby a specific
  query string processed by mod_python would cause the httpd rocess
  to crash. [#34115]
* Fri Aug 29 2003 - mcihar@suse.cz
- require same python version as it was built with
* Fri Aug 29 2003 - poeml@suse.de
- Conflicts: mod_python (the Apache 1 module) [#29637]
* Mon Jul 28 2003 - poeml@suse.de
- don't explicitely strip binaries since RPM handles it, and may
  keep the stripped information somewhere
- fix mentioned path to documentation
* Fri Jun 06 2003 - poeml@suse.de
- install missing .py files into python's site-packages folder
- fix installation on 64 bit architecture (lib64)
* Fri May 30 2003 - poeml@suse.de
- new package
- in python-2.3b1, LONG_LONG is renamed to PY_LONG_LONG
